#include <Arduino.h>
#include "mapping.h"
#include "CGradateur.h"




CGradateur::CGradateur() {
  ucValGradateur = 0;
  bEtatGradateur = 0;
}

void CGradateur::Setup(unsigned char pin) {
  ucPin = pin;
  pinMode(ucPin, OUTPUT);
  analogWrite(ucPin, ucValGradateur);
  
}

unsigned int CGradateur::cmdActionnerGradateur(unsigned int msg, bool bOnOff/*=true*/) {
  Serial.print("void cmdActionnerGradateur(unsigned int msg) - Consigne : ");
  Serial.println(msg);
  if (bOnOff) {
    digitalWrite(ucPin, msg);
    bEtatGradateur = msg;
  }
  else {
    int ordre = msg*255/100;
    analogWrite(ucPin, ordre);
    ucValGradateur = msg;
  }
  return msg;
}
