#include <Arduino.h>
#include "mapping.h"
#include "CLed.h"

/*
// Mode ON/OFF
int bEtatLed = LOW;
int uiEtatLedOrange = LOW;
int uiEtatLedVerte = LOW;
// Mode gradateur
int uiValLedRouge = 0;
int uiValLedOrange = 0;
int uiValLedVerte = 0;
*/

CLed::CLed() {
  bEtatLed = LOW;
  ucValLed = 0;
}

void CLed::Setup(unsigned char pin) {
  ucPin = pin;
  pinMode(ucPin, OUTPUT);
//  pinMode(PIN_LED_ORANGE, OUTPUT);
//  pinMode(PIN_LED_VERTE, OUTPUT);

  digitalWrite(ucPin, bEtatLed);
//  digitalWrite(PIN_LED_ORANGE, uiEtatLedOrange);
//  digitalWrite(PIN_LED_VERTE, uiEtatLedVerte);
  Serial.println("void CLed::Setup(void)");
}

unsigned int CLed::cmdActionnerLed(unsigned int msg, bool bOnOff) {
  Serial.print("void CLed::cmdActionnerLed(unsigned int msg) - Consigne : ");
  Serial.println(msg);
  if (bOnOff) {
    digitalWrite(ucPin, msg);
    bEtatLed = msg;
  }
  else {
    int ordre = msg*255/100;
    analogWrite(ucPin, ordre);
    ucValLed = msg;
  }
  
  return msg;
}
/*
unsigned int cmdActionnerLedOrange(unsigned int msg, bool bOnOff) {
  Serial.print("void cmdActionnerLedOrange(unsigned int msg) - Consigne : ");
  Serial.println(msg);
  if (bOnOff) {
    digitalWrite(PIN_LED_ORANGE, msg);
    uiEtatLedOrange = msg;
  }
  else {
    int ordre = msg*255/100;
    analogWrite(PIN_LED_ORANGE, ordre);
    uiValLedOrange = msg;
  }
  return msg;
}
unsigned int cmdActionnerLedVerte(unsigned int msg, bool bOnOff) {
  Serial.print("void cmdActionnerLedVerte(unsigned int msg) - Consigne : ");
  Serial.println(msg);
  if (bOnOff) {
    digitalWrite(PIN_LED_VERTE, msg);
    uiEtatLedOrange = msg;
  }
  else {
    int ordre = msg*255/100;
    analogWrite(PIN_LED_VERTE, ordre);
    uiValLedVerte = msg;
  }
  return msg;
}
*/
