
#define BT_PORT_SERIE_RX    7   // Réception des données série
#define BT_PORT_SERIE_TX    8   // transmission des données série
#define PIN_LED_VERTE 11
#define PIN_LED_ORANGE 12 
#define PIN_LED_ROUGE 6
#define PIN_RELAIS 4
#define PIN_GRADATEUR 9
// PIN'S détecteur de distance (module ultrason HC-SR04)
#define ULTRASON_TRIG 5 // Demande de mesure : impulsion de > 10 micros suivie d'un état bas > 60 ms
#define ULTRASON_ECHO 2 // Lecture de la mesure
// Capteur d'humidité
#define PIN_HUMIDITE_ANALOGIQUE A0
#define PIN_HUMIDITE_DIGITAL 10
// Buzzer
#define PIN_BUZZER 3

// Arduino Mega
#define SERVO_PIN 14 // Pin de commande du servomoteur
#define RFID_RST_PIN  49
#define RFID_SDA_PIN  53
/*
#define BT_PORT_SERIE_RX    7   // Réception des données série
#define BT_PORT_SERIE_TX    1   // transmission des données série
#define PIN_LED_VERTE 3
#define PIN_LED_ORANGE 5 
#define PIN_LED_ROUGE 6
#define PIN_RELAIS 4
#define PIN_GRADATEUR 9
// PIN'S détecteur de distance (module ultrason HC-SR04)
#define ULTRASON_TRIG 12 // Demande de mesure : impulsion de > 10 micros suivie d'un état bas > 60 ms
#define ULTRASON_ECHO 2 // Lecture de la mesure
// Capteur d'humidité
#define PIN_HUMIDITE_ANALOGIQUE A0
#define PIN_HUMIDITE_DIGITAL 13
// Buzzer
#define PIN_BUZZER 8
*/
// Pour le SPI (Serial Peripheral Interface)
// ################################### Nano et Uno
// Il faut réserver les PINS
// 10 à 13 : 10 (SS), 11 (MOSI), 12 (MISO), 13 (SCK). Voir https://www.arduino.cc/en/Reference/SPI
// 
// ################################### Mega 1280 et 2560
// 53 (SS), 51 (MOSI), 50 (MISO), 52 (SCK). Voir https://www.arduino.cc/en/Reference/SPI
